# Projecte Disseny de PCB per a un Maleter
Júlia Geli, Sergi Marsal, Guillem Carrasco

## Introducció
Benvinguts al projecte de disseny de PCB per a un maleter. Aquest projecte té com a objectiu desenvolupar una PCB que s'adapti a les necessitats específiques del maleter, oferint una solució eficient i funcional per a diverses aplicacions com ara controlar l'obertura amb un sensor de proximitat, activar un calefactor per desentalar el vidre i controlar un motor d'obertura amb els seus finals de carrera.


## Taula de Components

|Component           |Descripció                |Datasheet|Mouser|Especificacions|Preu|
|:-------------------|:-------------------------|:-----------------------------|:----------|:--------------------------:|:--:|
|Regulador de tensió |Regula el corrent d'entrada de 12V a 3.3V|[LM1117](https://www.ti.com/lit/ds/symlink/lm1117.pdf?ts=1711873983808&ref_url=https%253A%252F%252Fwww.google.com%252F)|[LM1117](https://www.mouser.es/ProductDetail/Texas-Instruments/LM1117T-ADJ-NOPB?qs=X1J7HmVL2ZHHdJZdUjLg1w%3D%3D)|[ADJ](https://componentsearchengine.com/part-view/LM1117T-ADJ%2FNOPB/Texas%20Instruments)|1.40€|
|Microcontrolador    |Microcontrolador principal|[PIC32MK0256MCJ048](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU32/ProductDocuments/DataSheets/PIC32MK-General-Purpose-and-Motor-Control-With-CAN-FD-Family-DataSheet-DS60001570D.pdf)|[PIC32MK0256MCJ048](https://www.mouser.es/ProductDetail/Microchip-Technology/PIC32MK0256MCJ048-I-Y8X?qs=vmHwEFxEFR8gYaXbO9BUkA%3D%3D)|[SMD](https://componentsearchengine.com/part-view/PIC32MK0256MCJ048-E%2FY8X/Microchip)|6.70€|
|Cristall principal   |Genera senyals amb una freqüència de 8MHz |[ABLS-8.000MHZ-12-B-4-Y-T](https://abracon.com/Resonators/ABLS.pdf)|[ABLS-8.000MHZ-12-B-4-Y-T](https://www.mouser.es/ProductDetail/ABRACON/ABLS-8.000MHZ-12-B-4-Y-T?qs=vLWxofP3U2xe9RnHJKIhzg%3D%3D)|[SMD](https://componentsearchengine.com/part-view/ABLS-8.000MHZ-12-B-4-Y-T/ABRACON)|0.3€|
|Cristall secundari          |Genera senyals amb una freqüència de 32kHz|[ABS25-32.000KHZ-T](https://abracon.com/Resonators/abs25.pdf)|[ABS25-32.000KHZ-T](https://www.mouser.es/ProductDetail/ABRACON/ABS25-32.000KHZ-T?qs=FESYatJ8odK%252BMaVafo1qPg%3D%3D)|[SMD](https://componentsearchengine.com/part-view/ABS25-32.000KHZ-T/ABRACON)|2.02€|
|Driver motor        |Controla i alimenta el motor per pujar i baixar la porta|[DRV8214RTER](https://www.ti.com/lit/ds/symlink/drv8214.pdf?ts=1712608024036&ref_url=https%253A%252F%252Fwww.mouser.es%252F)|[DRV8214RTER](https://www.mouser.es/ProductDetail/Texas-Instruments/DRV8214RTER?qs=mELouGlnn3fqZoe89rAgMA%3D%3D)|[SMD](https://componentsearchengine.com/part-view/DRV8214RTER/Texas%20Instruments)|2.78€|
|Motor               |Motor pas a pas per a pujar i baixar la porta|[PD42-4-1370-TMCL](https://www.mouser.es/datasheet/2/609/ADI_PD_1370_hardware_manual_hw1_10_rev1_12-3412467.pdf)|[PD42-4-1370-TMCL](https://www.mouser.es/ProductDetail/ADI-Trinamic/PD42-4-1370-TMCL?qs=TiOZkKH1s2Qp89oYRzNKvQ%3D%3D)|Fora de placa|238.68€|
|Sensor de proximitat|Detecta moviments a una distància màx de 50cm|[SI1153-AB00-GMR](https://www.silabs.com/documents/public/data-sheets/si115x-datasheet.pdf)|[SI1153-AB00-GMR](https://www.mouser.es/ProductDetail/Silicon-Labs/SI1153-AB00-GMR?qs=qSfuJ%252Bfl%2Fd7mp7dfVvPRsQ%3D%3D)|[SMD](https://componentsearchengine.com/part-view/SI1153-AB00-GMR/Silicon%20Labs)|6.05€|
|Polsador final de carrera superior|per limitar el motor de pujada del maleter|[SS-01GPD](https://www.mouser.es/datasheet/2/307/en_ss-1509069.pdf)|[SS-01GPD](https://www.mouser.es/ProductDetail/Omron-Electronics/SS-01GPD?qs=Rh%252BaoYk36r7Kg%2FMuYOZkbg%3D%3D)|[THT](https://componentsearchengine.com/part-view/SS-01GPD/Omron%20Electronics)|1.23€|
|Polsador final de carrera inferior|per limitar el motor de baixada del maleter|[SS-01GPD](https://www.mouser.es/datasheet/2/307/en_ss-1509069.pdf)|[SS-01GPD](https://www.mouser.es/ProductDetail/Omron-Electronics/SS-01GPD?qs=Rh%252BaoYk36r7Kg%2FMuYOZkbg%3D%3D)|[THT](https://componentsearchengine.com/part-view/SS-01GPD/Omron%20Electronics)|1.23€|
|Polsador malater    |Per obrir el maleter manualment|[800SP9B10M2RE](https://www.e-switch.com/wp-content/uploads/2022/06/800.pdf)|[800SP9B10M2RE](https://www.mouser.es/ProductDetail/E-Switch/800SP9B10M2RE?qs=f57gQzlyLio7bBjlaBp8Eg%3D%3D)|[THT](https://componentsearchengine.com/part-view/800SP9B10M2RE/E-Switch)|3.26€|
|Driver calefactor   | Controla l'alimentació que arribarà a l'element calefactor de la luneta tèrmcia| [TC4426AEOA](https://ww1.microchip.com/downloads/aemDocuments/documents/APID/ProductDocuments/DataSheets/TC4426A-TC4427A-TC4428A-1.5A-Dual-High-Speed-Power-MOSFET-Drivers-20001423.pdf) |[TC4426AEOA](https://www.mouser.es/ProductDetail/Microchip-Technology/TC4426AEOA?qs=qjchPRzF%2F5ci6GvXLioNhA%3D%3D)| [SMD](https://www.snapeda.com/parts/TC4426AEOA/Atmel/view-part/?welcome=home) |1.51€ | 
|Calefactor flexible |Calefactor per escalfar el vidre del cotxe |  |[Transparent ITO PET Electrically Heated Film](https://www.magic-film.com/project/transparent-ito-pet-electrically-heated-film/)  | Fora de placa |  |
|Interruptor calefactor |Interruptor per activar i desactivar el calefactor del vidre|[JS102011SCQN](https://www.ckswitches.com/media/1422/js.pdf)|[JS102011SCQN](https://www.mouser.es/ProductDetail/CK/JS102011SCQN?qs=aIxPIZZxLh%2FC%2Fw7UJtfwsg%3D%3D&mgh=1&vip=1&utm_id=19105062713&gad_source=1&gclid=Cj0KCQjw2a6wBhCVARIsABPeH1vEZVyMppwykfFA1NNQ_WHnHAtnZ6jMeleC9lvRdm2qzwNq_fBU9UgaAoKpEALw_wcB)|[SMD](https://componentsearchengine.com/part-view/JS102011SCQN/C%20%26%20K%20COMPONENTS)|0.87€|
|Connector batería| Connector on la batería alimentarà la PCB|[282837-2](https://www.te.com/usa-en/product-282837-2.datasheet.pdf)|[282837-2](https://www.mouser.es/ProductDetail/TE-Connectivity/282837-2?qs=A%252Bip%252BNCYi6O2H0NGWOeAxg%3D%3D)|[THT](https://app.ultralibrarian.com/details/face96a3-103e-11e9-ab3a-0a3560a4cccc/TE-Connectivity/282837-2?uid=39451713)|1.00€|
|Connector DB9|Per a connexions externes d'alt amperatge|[DB9W4SA00LF](https://cdn.amphenol-cs.com/media/wysiwyg/files/documentation/datasheet/inputoutput/io_dsub_brochure.pdf)|[DB9W4SA00LF](https://www.mouser.es/ProductDetail/Amphenol-Commercial-Products/DB9W4SA00LF?qs=1Qbx6cv8UfWLr28cORmUvQ%3D%3D)|[THT](https://www.snapeda.com/parts/DB9/Tripp%20Lite/view-part/?ref=search&t=DB9) |21.38€|
|Transceiver CAN |Ens permet comunicar-nos amb el cotxe|[TCAN337DCNT](https://www.ti.com/lit/ds/symlink/tcan337.pdf?ts=1711868559111)|[TCAN337DCNT](https://www.mouser.es/ProductDetail/Texas-Instruments/TCAN337DCNT?qs=gMfM3zrbS4onKfte2f%252BmhQ%3D%3D)|[SMD](https://componentsearchengine.com/part-view/TCAN337DCNT/Texas%20Instruments)|2.14€|
|BJT|Transistor utilitzat a l'amplificació del corrent pel calefactor|[BD135TG](https://www.onsemi.com/pdf/datasheet/bd135-d.pdf)|[BD135TG](https://www.mouser.es/ProductDetail/onsemi/BD135TG?qs=abmNkq9no6DtoihIqeQcKw%3D%3D)|[THT](https://www.snapeda.com/parts/BD135TG/ONSemiconductor/view-part/?ref=search&t=BD135TG)|0.73€|

## Diagrama de Blocs
Aquí podeu trobar el diagrama de blocs del projecte:

![Diagrama de Blocs](DIAGRAMA_DE_BLOCS.png)


## Modificacions
Aquí podeu trobar les modificacions realitzades al llarg del temps en el projecte:

- **30/03/24 [Júlia]**: Creació del Readme.
- **4/04/24  [Sergi]**: Actualització de la llista components amb els nous drivers i motor i del diagrama de blocs.
- **4/04/24  [Guillem]**: 1a versió de l'esquemàtic inclosa al projecte
- **8/04/24  [Sergi]**: Actualització de la polarització del microxip i canvi dels valors de les capacitats.
- **8/04/24  [Júlia]**: Actualització del Diagrama de Blocs amb els nous components que hem canviat.
- **8/04/24  [Júlia]**: He canviat el símbol del MIC32K per l'original i posar només els noms dels PINS que farem servir per fer-lo més petit // Afegir el connector del MCRL // Canviar algunes capacitats de desacoblament (s'ha d'acabar de mirar si estan bé) // Canviar els pull-ups que teniem malament // Passar el regulador de tensió a la part de potència i caviar el díode de posició segons els que posava al datasheet // Afegir els dos nous cristalls de 32k i 8M // Afegir nou driver de motor amb pont en H i col·locar les capacitats de desacoblament i pull-ups // Afegir el GND power
- **9/04/24  [Júlia]**: Canvi símbols d'interruptors, polsadors, i finals de carrera
- **10/04/24  [Guillem]**: Versió inicial del placement de la PCB i inclosió de la carpeta definitiva amb els diferents arxius.
- **11/04/24  [Júlia]**: Actualització del layout de la PCB.
- **11/04/24  [Júlia]**: Actualització llista de components amb el calefactor a utilitzar.
- **11/04/24  [Sergi]**: Actualització llista de components amb el connector per la batería.
- **16/04/24  [Júlia]**: Canvi placement per fer-ho més petit i posar capacitats de desacoblament a bottom //afegit el connector de la bateria.
- **17/04/24  [Guillem]**: DRC de la PCB ok.
- **18/04/24  [Sergi]**: Eliminació d'errors i assignació de regles de disseny // correcció durant la classe de pràctiques.
- **19/04/24  [Guillem]**: Inici nou model de PCB, amb canvis com els connectors i tot els que s'havia de canviar fet.
- **21/04/24  [Sergi]**: Actualització del diagrama de blocs amb la distribució per elements de potència, etc // afegits nombre de bits a dos busos d'elements digitals
- **24/04/24  [Sergi]**: Correcció dels bits d'un bus digital
- **24/04/24  [Júlia]**: Correcció regles de disseny // canvi d'alguns pins i d'algun placement // corretgits tots el errors i warnings // VERSIÓ FINAL PCB.